Components and Plugins: Discovery components(3)

NAME
Components and Plugins: Discovery components -

  Data Structures
struct hwloc_disc_component

  Typedefs
typedef enum
hwloc_disc_component_type_e hwloc_disc_component_type_t"

  Enumerations
enum hwloc_disc_component_type_e { HWLOC_DISC_COMPONENT_TYPE_CPU, HWLOC_DISC_COMPONENT_TYPE_GLOBAL, HWLOC_DISC_COMPONENT_TYPE_MISC }

Detailed Description

Typedef Documentation

  typedef enum hwloc_disc_component_type_e hwloc_disc_component_type_t

Discovery component type.

Enumeration Type Documentation

  enum hwloc_disc_component_type_e

Discovery component type.

Enumerator

HWLOC_DISC_COMPONENT_TYPE_CPU
    CPU-only discovery through the OS, or generic no-OS support.

HWLOC_DISC_COMPONENT_TYPE_GLOBAL
    xml, synthetic or custom, platform-specific components such as bgq. Anything the discovers CPU and everything else. No misc backend is expected to complement a global component.

HWLOC_DISC_COMPONENT_TYPE_MISC
    OpenCL, Cuda, etc.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.